updated
authorChristian Urban <urbanc@in.tum.de>
Thu, 31 Oct 2019 11:18:37 +0000
changeset 298 51ea8891bc26
parent 297 eab44dbee855
child 299 940b6c68102a
updated
testing1/mark
testing1/mark2
--- a/testing1/mark	Thu Oct 31 10:50:05 2019 +0000
+++ b/testing1/mark	Thu Oct 31 11:18:37 2019 +0000
@@ -7,9 +7,8 @@
 
 cp $DIR/* .
 
-./collatz_test.sh output1
-./drumb_test.sh output2
 
 echo -e "Here is an automated test report for your work so far on assignment 6.  Please note that this is not the mark for your work; it is provided only in the hope that it is useful in developing your solution.  Please ensure you test your code on your own machine in order to make sure it is bug free!! Passing these tests does not guarantee your code is free from bugs!! Also after the deadline, your code will be marked against a different, more thorough set of test cases.\n\n" > $1
 
-cat output1 output2 >> $1 
+./collatz_test.sh >> $1
+
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/testing1/mark2	Thu Oct 31 11:18:37 2019 +0000
@@ -0,0 +1,13 @@
+#!/bin/bash
+###set -e
+
+trap "exit" INT
+
+DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+
+cp $DIR/* .
+
+
+echo -e "Here is an automated test report for your work so far on assignment 6.  Please note that this is not the mark for your work; it is provided only in the hope that it is useful in developing your solution.  Please ensure you test your code on your own machine in order to make sure it is bug free!! Passing these tests does not guarantee your code is free from bugs!! Also after the deadline, your code will be marked against a different, more thorough set of test cases.\n\n" > $1
+
+./drumb_test.sh >> $1